Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.event
Class PerspectiveEventHandler

    java.lang.Object
      org.flexdock.event.EventHandler
          org.flexdock.perspective.event.PerspectiveEventHandler

    public class PerspectiveEventHandler

extends EventHandler

Author:
  Christopher Butler

Field Summary

Fields inherited from class org.flexdock.event.EventHandler
`globalListeners`

Method Summary
`boolean` | `acceptsEvent(Event evt)` Tests a given event to determine if this handler can handle that event.
`boolean` | `acceptsListener(EventListener listener)`
`static PerspectiveEventHandler` | `getInstance()`
`PerspectiveListener[]` | `getListeners()`
`void` | `handleEvent(Event evt, EventListener listener, int eventType)`

Methods inherited from class org.flexdock.event.EventHandler
`addListener, getListeners, handleEvent, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PerspectiveEventHandler getInstance()

### acceptsEvent

    public boolean acceptsEvent(Event evt)

  Description copied from class: `EventHandler`
  Tests a given event to determine if this handler can handle that event.

  Specified by:
    `acceptsEvent` in class `EventHandler`
  Parameters:
    `evt` - the event to test.
  Returns:
    `true` if this handler handles the event, `false` otherwise.

### acceptsListener

    public boolean acceptsListener(EventListener listener)

  Specified by:
    `acceptsListener` in class `EventHandler`

### handleEvent

    public void handleEvent(Event evt,
                            EventListener listener,
                            int eventType)

  Specified by:
    `handleEvent` in class `EventHandler`

### getListeners

    public PerspectiveListener[] getListeners()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD